# 2012-09-01
# 14:00

source preview.tcl

set stopit true

wm title . Preview

frame .fr -width 80 -height 200
button .fr.selfile -text {Select File} -command SelFile
button .fr.stopstart -text {Start} -command LaunchPrev


pack .fr.selfile -anchor w -fill x
pack .fr.stopstart -anchor w -fill x


pack .fr -anchor w

frame .fr.interval
label .fr.interval.caption -text {Polling interval:}
radiobutton .fr.interval.s1 -text {1 second} -variable intervalms -value 1000
radiobutton .fr.interval.s2 -text {2 seconds} -variable intervalms -value 2000
radiobutton .fr.interval.s3 -text {3 seconds} -variable intervalms -value 3000
radiobutton .fr.interval.s5 -text {5 seconds} -variable intervalms -value 5000
radiobutton .fr.interval.s10 -text {10 seconds} -variable intervalms -value 10000
radiobutton .fr.interval.s20 -text {20 seconds} -variable intervalms -value 20000

pack .fr.interval -anchor w
pack .fr.interval.caption -anchor w
pack .fr.interval.s1 -anchor w
pack .fr.interval.s2 -anchor w
pack .fr.interval.s3 -anchor w
pack .fr.interval.s5 -anchor w
pack .fr.interval.s10 -anchor w
pack .fr.interval.s20 -anchor w


frame .fr.converter
label .fr.converter.caption -text {File conversion utility:}
radiobutton .fr.converter.abiword -text {Abiword} -variable convutil -value abiword
radiobutton .fr.converter.textutil -text {Textutil (Mac)} -variable convutil -value textutil
radiobutton .fr.converter.unoconv -text {Unoconv} -variable convutil -value unoconv

pack .fr.converter -anchor w
pack .fr.converter.caption -anchor w
pack .fr.converter.abiword -anchor w
pack .fr.converter.textutil -anchor w
pack .fr.converter.unoconv -anchor w

button .fr.quit -text {Quit} -command exit

pack .fr.quit -anchor w -fill x

proc SelFile { } {

global targetfile

set typelist {
    {"Word 2007/2010 files" {".docx"}}
    {"LibreOffice/OOo Writer files" {".odt"}}
}

set targetfile [tk_getOpenFile -initialdir ~ -filetypes $typelist]

puts {SelFile selected targetfile:}
puts $targetfile

}


proc LaunchPrev { } {

global stopit

set stopit false

.fr.stopstart config -text {Stop} -command StopPrev

preview

}


proc StartPrev { } {

global stopit

set stopit false

.fr.stopstart config -text {Stop} -command StopPrev

preview

}


proc StopPrev { } {

global stopit

set stopit true

.fr.stopstart config -text {Start} -command StartPrev

}

