# 2012-08-07
# 01:01

source preview.tcl

set stopit true

wm title . Preview

frame .fr -width 80 -height 200
button .fr.selfile -text {Select File} -command SelFile
button .fr.stopstart -text {Start} -command LaunchPrev
# button .fr.stop -text {Stop} -command Stop

pack .fr.selfile -anchor w
pack .fr.stopstart -anchor w


pack .fr

frame .fr.interval
label .fr.interval.caption -text {Polling interval:}
radiobutton .fr.interval.s1 -text {1 second} -variable intervalms -value 1000
radiobutton .fr.interval.s2 -text {2 seconds} -variable intervalms -value 2000
radiobutton .fr.interval.s3 -text {3 seconds} -variable intervalms -value 3000
radiobutton .fr.interval.s5 -text {5 seconds} -variable intervalms -value 5000
radiobutton .fr.interval.s10 -text {10 seconds} -variable intervalms -value 10000
radiobutton .fr.interval.s20 -text {20 seconds} -variable intervalms -value 20000

pack .fr.interval -padx 40 -pady 20
pack .fr.interval.caption
pack .fr.interval.s1
pack .fr.interval.s2
pack .fr.interval.s3
pack .fr.interval.s5
pack .fr.interval.s10
pack .fr.interval.s20


frame .fr.converter
label .fr.converter.caption -text {File Conversion Utility:}
radiobutton .fr.converter.abiword -text {Abiword} -variable convutil -value abiword
radiobutton .fr.converter.textutil -text {Textutil (Mac)} -variable convutil -value textutil
radiobutton .fr.converter.unoconv -text {Unoconv} -variable convutil -value unoconv

pack .fr.converter -padx 40 -pady 20
pack .fr.converter.caption
pack .fr.converter.abiword
pack .fr.converter.textutil
pack .fr.converter.unoconv


proc SelFile { } {

global targetfile

set typelist {
    {"Word 2007/2010 files" {".docx"}}
}

set targetfile [tk_getOpenFile -filetypes $typelist]

puts {SelFile selected targetfile:}
puts $targetfile

}


proc LaunchPrev { } {

global stopit

set stopit false

.fr.stopstart config -text {Stop} -command StopPrev

preview

}


proc StartPrev { } {

global stopit

set stopit false

.fr.stopstart config -text {Stop} -command StopPrev

preview

}


proc StopPrev { } {

global stopit

set stopit true

.fr.stopstart config -text {Start} -command StartPrev

}

